/** 全局变量 发票类型 */
var invoice_type=1;

/**
 * 1.设置默认值,供Native调用，设置初始值
 * 3.提交回调，避免form表单中数据丢失
 * @param {[type]} json [description]
 */
function setDefalutValue(json) {
	console.log(JSON.stringify(json));
	if (json) {
		if (json.buyerType === 2) {
			document.getElementById('personal').checked = true;
		} else {
			document.getElementById('enterprise').checked = true;
		}
		onRadioClick(json.buyerType);
		if (!isNull(json.buyerName)) {
			document.getElementById("tv_invoice_title").value = json.buyerName;
		}
		if (!isNull(json.buyerTaxnum)) {
			document.getElementById("tv_tfn").value = json.buyerTaxnum;
		}

		// if (!isNull(json.invoiceContent)) {
		// 	document.getElementById("tv_invoice_content").value = json.invoiceContent;
		// }

		if (!isNull(json.invoiceFee)) {
			document.getElementById("tv_invoice_amount").value = formatAmount(json.invoiceFee);
		}
		if (!isNull(json.mailAddr)) {
			document.getElementById("tv_email").value = json.mailAddr;
		}

		if(!isNull(json.buyerAddr)){
			document.getElementById("tv_comp_address").value=json.buyerAddr;
		}
		if(!isNull(json.buyerPhone)){
			document.getElementById("tv_comp_tel").value=json.buyerPhone;
		}
		if(!isNull(json.buyerBank)){
			document.getElementById("tv_comp_bank").value=json.buyerBank;
		}
		if(!isNull(json.buyerBankAccount)){
			document.getElementById("tv_comp_bank_account").value=json.buyerBankAccount;
		}
		if(!isNull(json.invoiceRemark)){
			document.getElementById("tv_comp_remark").value=json.invoiceRemark;
		}
	}
}

/**
 * 提交表单
 */
function submitInvoice() {

	var json = {};
	// var checked = document.getElementById('enterprise').checked;
	var checked= invoice_type===1
	if (checked) {
		//企业
		json["buyerType"] = 1
		var buyerTaxnum = document.getElementById("tv_tfn").value;
		if (buyerTaxnum) {
			json["buyerTaxnum"] = buyerTaxnum
		} else {
			//alert("税号不能空");
			mui.toast("税号不能空");
			return;
		}
		//开户行，账户
		var tv_comp_bank=document.getElementById("tv_comp_bank").value;
		if(tv_comp_bank){
			json["buyerBank"]=tv_comp_bank;
		}else{
			mui.toast("公司开户行不能为空");
			return;
		}

		var tv_comp_bank_account=document.getElementById("tv_comp_bank_account").value;
		if(tv_comp_bank_account){
			json["buyerBankAccount"]=tv_comp_bank_account;
		}else{
			mui.toast("开户行账户不能为空");
			return;
		}
	} else {
		json["buyerType"] = 2
	}

	var buyerName = document.getElementById("tv_invoice_title").value;
	if (buyerName) {
		json["buyerName"] = buyerName
	} else {
		mui.toast("发票抬头不能空");
		return;
	}

	// var invoiceContent = document.getElementById("tv_invoice_content").value;
	// if (invoiceContent) {
	// 	json["invoiceContent"] = invoiceContent
	// }else{
	// 	alert("发票内容不能为空");
	// 	return;
	// }

	json["invoiceContent"] = "停车服务"

	var tv_comp_address=document.getElementById("tv_comp_address").value;
	if(tv_comp_address){
		json["buyerAddr"]=tv_comp_address;
	}else{
		if(checked){
			mui.toast("公司地址不能为空");
			return;
		}
	}

	var tv_comp_tel=document.getElementById("tv_comp_tel").value;
	if(tv_comp_tel){
		json["buyerPhone"]=tv_comp_tel;
	}
	/*else {
		alert("公司电话不能为空");
		return;
	}*/

	var tv_comp_remark=document.getElementById("tv_comp_remark").value;
	if(tv_comp_remark){
		json["invoiceRemark"]=tv_comp_remark;
	}

	var invoiceFee = document.getElementById("tv_invoice_amount").value;
	if (invoiceFee) {
		var intInvoiceFee=invoiceFee.replace(",","").replace("¥","");
		json["invoiceFee"] = Number(intInvoiceFee)*100;
	} else {
		mui.toast("发票金额不能为空");
		return;
	}

	var mailAddr = document.getElementById("tv_email").value;
	if (mailAddr) {
		json["mailAddr"] = mailAddr
	}
	var josnStr = JSON.stringify(json)
	//alert(josnStr);
	console.log(josnStr);
	//TODO 传给native 进行提交
	$$.nativeSubmitInvoice(josnStr);
	//setDefalutValue(json);
}

/**
 * 单选切换数据
 * @param {int} value
 */
function onRadioClick(value) {
	var tv_invoice_title=document.getElementById("tv_invoice_title");
	var litfn = document.getElementById("li_tfn");
	var li_open_bank = document.getElementById("li_open_bank");
	var li_open_bank_account = document.getElementById('li_open_bank_account');
	var span_address=document.getElementById("span_address");

	var enterprise=document.getElementById("enterprise");
	var personal=document.getElementById("personal");

	if (value === 1) {
		//企业
		enterprise.setAttribute("class", "tab-panel _active");
		personal.setAttribute("class", "tab-panel ");

		invoice_type=1;

		tv_invoice_title.setAttribute("placeholder","企业名称或开票代码");
		litfn.style.display = "inline-block";
		li_open_bank.style.display = "inline-block";
		li_open_bank_account.style.display = "inline-block";
		span_address.innerHTML="<font color=\"#FF0000;\">*</font>公&nbsp;司&nbsp;地&nbsp;址："

	} else if (value === 2) {
		enterprise.setAttribute("class", "tab-panel");
		personal.setAttribute("class", "tab-panel  _active");
		invoice_type=2;

		
		tv_invoice_title.setAttribute("placeholder","个人/非企业单位");
		litfn.style.display = "none"
		li_open_bank.style.display = "none";
		li_open_bank_account.style.display = "none";
		span_address.innerHTML="&nbsp;&nbsp;公&nbsp;司&nbsp;地&nbsp;址："
	}
}

/**
 * 判断数据是否为空或undefined
 * @param  {[type]}  exp [description]
 * @return {Boolean}     [description]
 */
isNull = function(exp) {
	var ret = !exp || typeof(exp) === "undefined";
	return ret;
}
