/**
  * 显示发票详细信息
  * @invoiceInfor 发票明细，JSON对象
  */
function showInvoiceInfor(obj) {
  //console.log(JSON.stringify(obj));
  if(obj){
      if(obj.buyerType===1){
        document.getElementById('tv_invoice_title_type').innerText="企业";
		    document.getElementById('tv_tfn').innerText=obj.buyerTaxnum;
		    document.getElementById('tv_comp_bank').innerText=isBank(obj.buyerBank);
		    document.getElementById('tv_comp_bank_account').innerText=isBank(obj.buyerBankAccount);
      }else{
        document.getElementById('tv_invoice_title_type').innerText="个人/非企业单位";
		    document.getElementById('li_tfn').style.display="none";
		    document.getElementById('li_comp_bank').style.display="none";
		    document.getElementById('li_comp_bank_account').style.display="none";
      }
      document.getElementById('tv_invoice_title').innerText=isBank(obj.buyerName);
      document.getElementById('tv_invoice_content').innerText=isBank(obj.invoiceContent);
      //金额
      document.getElementById('tv_invoice_amount').innerText=formatAmount(obj.invoiceFee);
      //时间
      document.getElementById('tv_apply_time').innerText=formatDate(obj.invoiceTime,"yyyy-MM-dd hh:mm:ss");
      document.getElementById('tv_email').innerText=isBank(obj.buyerEmail);
	  
	    document.getElementById('tv_comp_address').innerText=isBank(obj.buyerAddr);
	    document.getElementById('tv_comp_tel').innerText=isBank(obj.buyerPhone);
	    document.getElementById('tv_remark').innerText=isBank(obj.invoiceRemark);
	  
      //1:开票成功 2:开票中 3:开票失败
      var state="";
      if(obj.invoiceState===1){
        state="开票成功";
        if(obj.invoiceRedfee>0){
          state+="/已销毁";
        }
		    //冲红金额等于发票金额,可进行重开发票
//        if(obj.invoiceRedfee !== obj.invoiceFee){
//          document.getElementById("dv_bottom").style.display="none";
//          document.getElementById("btn_reopen").style.display="none";
//        }
      }else if(obj.invoiceState===2){
        state="开票中";
      }else if(obj.invoiceState===3){
        state="开票失败";
      }
      document.getElementById('tv_invoice_state').innerText=state;
      document.getElementById('tv_explain').innerText=obj.description;
      var orderContent="1张发票  "+obj.orderNumber+"笔缴费记录";
      document.getElementById('order_number').innerText=orderContent;
	  
	 btnSetting(obj); 
  }
}

function btnSetting(obj) {
	//查看发票
	var btn_look_invoice = document.getElementById('look_invoice');
	//下载地址且冲红金额小于等于0时，可下载发票
  if(!isNull(obj.invoiceUrl) && obj.invoiceRedfee<=0){
        btn_look_invoice.addEventListener("tap",function(){
            // 查看发票
            $$.lookInvoice(obj.invoiceUrl);
        });
      }else{
        btn_look_invoice.style.display="none";
      }

    //查看发票记录
	var btn_look_invoice_record=document.getElementById("look_invoice_record");
    btn_look_invoice_record.addEventListener('tap',function(){
        // 查看发票记录
        $$.lookInvoiceRecord();
    });

	//重新开票
	var btn_reopen=document.getElementById("btn_reopen");
    btn_reopen.addEventListener('tap',function(){
        //重新开票
        $$.reopenInvoice();
    });
}


/**
 * 判断数据是否为空或undefined
 * @param  {[type]}  exp [description]
 * @return {Boolean}     [description]
 */
isNull = function(exp) {
	var ret = !exp || typeof(exp) === "undefined";
	return ret;
}

/**
 * 判断数据是否为空或undefined
 * @param  {[type]}  exp [description]
 * @return {Boolean}     [description]
 */
isBank = function(exp,def) {
	var ret = !exp || typeof(exp) === "undefined";
	return ret?"--":exp;
}




